local Pastry = ...

-- Register model for stocking asset
Pastry:registerAssetId("models/crate.fbx/Prefab/crate","MY_CRATE")

Pastry:registerPrefabComponent("models/crate.fbx/Prefab/crate", {
	DataType = "COMP_GROUNDED"
})

-- Register image assets
Pastry:registerAssetId("icons/egg.png", "ICON_PV3_EGG")

-- Register egg (food)
Pastry:register({
	DataType = "RESOURCE",
	Id = "PV3_EGG",
	ResourceName = "PV3_EGG",
	Icon = "ICON_PV3_EGG",
	ResourceTypeList = { "FOOD" },
	IsTradable = true,
        ResourceLayoutType = "CRATES",
--        Prefab = "MY_CRATE",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 1 }
})

-- Register image assets
Pastry:registerAssetId("icons/butter.png", "ICON_PV3_BUTTER")

Pastry:register({
	DataType = "RESOURCE",
	Id = "PV3_BUTTER",
	ResourceName = "PV3_BUTTER",
	Icon = "ICON_PV3_BUTTER",
	ResourceTypeList = { "FOOD" },
	IsTradable = true,
        ResourceLayoutType = "CRATES",
--        Prefab = "MY_CRATE",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 4 }
})

-- Register image assets
Pastry:registerAssetId("icons/pastry.png", "ICON_PV3_PASTRY")

Pastry:register({
	DataType = "RESOURCE",
	Id = "PV3_PASTRY",
	ResourceName = "PV3_PASTRY",
	Icon = "ICON_PV3_PASTRY",
	ResourceTypeList = { "LUXURY_FOOD" },
	IsTradable = true,
        ResourceLayoutType = "CRATES",
--        Prefab = "MY_CRATE",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 15 }
})
